;
	Processor	16F84
;
       include <p16f84.inc>
;
_CP_OFF		EQU	H'3FFF'
_WDT_OFF	EQU	H'3FFB'
_XT_OSC		EQU	H'3FFD'
_ResetVector	EQU	H'0000'
_IntVector	EQU	H'0004'
;
;
	org	_ResetVector
    	goto	Start
;
	org	_IntVector
	retfie
count1	EQU	0ch
count2	EQU	0dh
count3	EQU	0eh
count4	EQU	0fh
alreg	EQU	10h
al0	EQU	H'0000'
al6	EQU	H'0002'
al	EQU	H'0004'
schn	EQU	H'0008'
nr	EQU	H'0010'
corrvar	EQU	11h

Start	clrf	alreg
	bcf	STATUS,RP1	;Aufwrtskompatibilitt
	bcf	STATUS,RP0	;Bank0 whlen
	clrf	INTCON		;Interrupts disablen
	clrf	PORTA		;Ports rcksetzen
	clrf	PORTB
	bsf	STATUS,RP0	;Bank1 whlen
	clrf	TRISB		;RB7..0 output
	movlw	0x1C
	movwf	TRISA		;Ra4..2 input Rest output

scharf	movlw	0x0A		;1s
	movwf	count3
schl2	movlw	0x81		;100ms
	movwf	count2
schl1	movlw	0xFF		;766 M-Zyklen
	movwf	count1		;255 nach count1
schl1i	decfsz	count1,1	;abwrtszhlen, skip next falls 0
	goto	schl1i
schl2i	decfsz	count2,1
	goto	schl1
	call	led_aus
	call	porttst
schl3i	decfsz	count3,1
	goto	schl2
	call	led_an
	goto	scharf

abbr	nop
	goto	abbr

led_an	bcf	status,rp0
	bsf	portb,0
	retfie
led_aus	bcf	status,rp0
	bcf	portb,0
	retfie
porttst	bcf	status,rp0
	btfsc	porta,4
	call	wait6
	btfsc	porta,3
	call	alarm
	btfsc	porta,2
	call	alarm
	retfie

wait6	bsf	portb,0
	retfie

alarm	bsf	portb,0
	retfie

	END
